# Deprecated API

## Contents

- Methods
- Constructors

Methods
Method | Description
--- | ---
com.microsoft.sqlserver.jdbc.ISQLServerCallableStatement.getBigDecimal​(String, int) |
com.microsoft.sqlserver.jdbc.SQLServerCallableStatement.getBigDecimal​(int, int) |
com.microsoft.sqlserver.jdbc.SQLServerPreparedStatement.setUnicodeStream​(int, InputStream, int) |
com.microsoft.sqlserver.jdbc.SQLServerResultSet.getBigDecimal​(int, int) |
com.microsoft.sqlserver.jdbc.SQLServerResultSet.getUnicodeStream​(int) |

Constructors
Constructor | Description
--- | ---
com.microsoft.sqlserver.jdbc.SQLServerBlob​(SQLServerConnection, byte[]) | Use `SQLServerConnection.createBlob()` instead.
com.microsoft.sqlserver.jdbc.SQLServerClob​(SQLServerConnection, String) | Use `SQLServerConnection.createClob()` instead.
com.microsoft.sqlserver.jdbc.SQLServerColumnEncryptionAzureKeyVaultProvider​(SQLServerKeyVaultAuthenticationCallback, ExecutorService) |